# Uses of Class
org.apache.avro.SchemaBuilder.RecordBuilder

Packages that use SchemaBuilder.RecordBuilder
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.RecordBuilder in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.RecordBuilder
Modifier and Type
Method
Description
`final SchemaBuilder.RecordBuilder<SchemaBuilder.RecordDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`record(String name)`
Build an Avro record type.
`final SchemaBuilder.RecordBuilder<R>`
SchemaBuilder.BaseTypeBuilder.`record(String name)`
Build an Avro record type.
`static SchemaBuilder.RecordBuilder<Schema>`
SchemaBuilder.`record(String name)`
Create a builder for an Avro record with the specified name.
`SchemaBuilder.RecordBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.RecordDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`record(String name)`
Build an Avro record type.
`protected SchemaBuilder.RecordBuilder<R>`
SchemaBuilder.RecordBuilder.`self()`